import React from "react";
import "reactflow/dist/style.css";
declare const useActions: () => {
    actions: never[];
    isActionsLoading: boolean;
    isActionError: boolean;
}[];
declare const useSearchActions: () => {
    actions: any[] | undefined;
    error: any;
    isLoading: boolean;
    doQuery: React.Dispatch<React.SetStateAction<string>>;
};
declare const useToken: () => null;
declare const useFlow: (flow_id: string) => {
    flow: never[];
    isFlowLoading: boolean;
    isFlowError: boolean;
}[];
declare type EdgebrixProps = {
    clientAuthToken?: any | undefined | null;
    children?: React.ReactNode | React.ReactNode[];
};
declare const EdgebrixProvider: ({ clientAuthToken, children }: EdgebrixProps) => JSX.Element;
export { EdgebrixProvider, useSearchActions, useActions, useFlow, useToken };
